package ru.amse.smyshlyaev.grapheditor.graph;

import java.util.Set;
import java.util.List;


public interface IGraph {
	boolean addVertex(ISelectableVertex vertex);
	
	boolean removeVertex(ISelectableVertex vertex);
	
	Set<ISelectableVertex> getVertices();
	
	boolean addEdge(IEdge edge);
	
	boolean addVertices(Set<ISelectableVertex> vertex);

	boolean removeEdge(IEdge edge);
	
	boolean removeVertices(List<ISelectableVertex> list);

	boolean hasVertex(ISelectableVertex vertex);

	boolean hasEdge(IEdge edge);
}
